Subject: bug#8564: closed (Re: bug#8564: 24.0.50; bootstrap on windows 7: `gl-stamp' target failed)

From: [email-masked] (GNU bug Tracking System)
Date: Thu, 28 Apr 2011 17:28:02 +0000

Your bug report

#8564: 24.0.50; bootstrap on windows 7: `gl-stamp' target failed

which was filed against the emacs package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
8564: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=8564
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#8564: 24.0.50; bootstrap on windows 7: `gl-stamp' target failed
From: Eli Zaretskii <[email-masked]>
To: William Xu <[email-masked]>
Cc: [email-masked]
Date: Thu, 28 Apr 2011 20:26:58 +0300
List-Id: <debbugs-submit.debbugs.gnu.org>

> From: William Xu <[email-masked]>
> Date: Thu, 28 Apr 2011 14:19:20 +0800
> 
> OK.  That is the problem! It is a MSYS bash, included in msys-git.
> Thanks.  

Thanks for helping me unlock this mystery.

> It seems kind of nasty, though.  We reply on unix tools like cp, rm,
> etc, but they are often bundled together with sh.

Only the Cygwin and MSYS versions of these tools come with sh.  The
GnuWin32 ports don't.

> Maybe add the above note to "* For the impatient" section as well
> would be a good idea?

Done.

I'm closing this bug.

Subject: 24.0.50; bootstrap on windows 7: `gl-stamp' target failed
From: William Xu <[email-masked]>
To: [email-masked]
Date: Wed, 27 Apr 2011 13:20:17 +0800
List-Id: <debbugs-submit.debbugs.gnu.org>

Here is the last build log: 

  mkdir "oo-spd"
  mkdir "oo-spd/i386"
  echo oo-spd/i386 > stamp_BLD
  rm gl-tmp
  "../lib-src/oo-spd/i386/make-docfile" -d . -g dosfns.o msdos.o xterm.o xfns.o xmenu.o xselect.o xrdb.o xsmfns.o dbusbind.o dosfns.o msdos.o xterm.o xfns.o xmenu.o xselect.o xrdb.o xsmfns.o fringe.o image.o fontset.o menu.o dbusbind.o w32.o w32console.o w32fns.o w32heap.o w32inevt.o w32menu.o w32proc.o w32reg.o w32select.o w32term.o w32xfns.o font.o w32font.o w32uniscribe.o dispnew.o frame.o scroll.o xdisp.o window.o bidi.o charset.o coding.o category.o ccl.o character.o chartab.o cm.o term.o terminal.o xfaces.o emacs.o keyboard.o macros.o keymap.o sysdep.o buffer.o filelock.o insdel.o marker.o minibuf.o fileio.o dired.o cmds.o casetab.o casefiddle.o indent.o search.o regex.o undo.o alloc.o data.o doc.o editfns.o callint.o eval.o floatfns.o fns.o print.o lread.o syntax.o bytecode.o process.o callproc.o unexw32.o region-cache.o sound.o atimer.o doprnt.o intervals.o textprop.o composite.o > gl-tmp
  cmd /c "fc /b gl-tmp globals.h >nul 2>&1 || cp -f gl-tmp globals.h"
  Microsoft Windows [Version 6.1.7600]
  Copyright (c) 2009 Microsoft Corporation.  All rights reserved.

  l:\bin\emacs\src>

Executing: 
  cmd /c "fc /b gl-tmp globals.h >nul 2>&1 || cp -f gl-tmp globals.h"

directly on cmd.exe seems OK.  I don't know why it fails in
bootstrapping?   I simply replace that line with: 
  cp -f gl-tmp globals.h  # Wouldn't this be simpler & good enough? 

Now it bootstraps.  

-- 
William

http://xwl.appspot.com